#! /usr/bin/env python3
# Dragon Dice - William Dean Napier - 02-JAN-2015

import random, dragondicevalidator

# Welcome message (display once)
print("Welcome to Dragon Dice; a William Dean Napier game.\n")
print("Dice choices are: d4, d6, d8, d10, d12, d20, and d100.")
print("Syntax is:  QTY+d+DiceType.  Example: 4d12 is four twelve-sided dice.\n")
print("\n")
print("\n")

runflag = True

# Main Loop
while runflag == True:
    # obtain input
    userinput = input("Select Dice to throw.")
    dieqty = dragondicevalidator.findDieQty(userinput)
    dietype = dragondicevalidator.findDieType(userinput)
    qtyValid = dragondicevalidator.validateQTY(dieqty)
    typeValid = dragondicevalidator.validateTYPE(dietype)

    # Resubmit user input, if at least one input was incorrect
    while qtyValid == False or typeValid == False:
        userinput = input("Incorrect input.  Select Dice to throw.")
        dieqty = dragondicevalidator.findDieQty(userinput)
        dietype = dragondicevalidator.findDieType(userinput)
        qtyValid = dragondicevalidator.validateQTY(dieqty)
        typeValid = dragondicevalidator.validateTYPE(dietype)
     
    # process user request
    for i in range (0, int(dieqty)):
        die = random.randint(1, int(dietype))
        print(str(dietype) + " sided die roll: " + str(die))

input("Press the enter key to continue...")
